Robot
2024.10
true
Robot User Guide
Last updated Jul 15, 2024

Activities cannot find .NET Runtime

Observed Behavior

Workflows using specific activity packages fail when run on 2023.4.0 and newer robots with one of the following errors:
  • "To run this application, you must install missing frameworks for .NET."
  • "To run this application, you must install .NET."

The following activity packages are impacted:

  • UiPath.Form.Activities version 2.0.x
  • UiPath.IntelligentOCR.Activities
  • UiPath.MobileAutomation.Activities
  • UiPath.Vision
  • UiPath.DocumentUnderstanding.Activities
  • OCR related activities in the UiPath.UIAutomation.Activities package
  • UiPath.OmniPage.Activities
  • UiPath.OCR.activities

Resolution A

Upgrade the activity packages of the affected workflows to the following versions:

  • UiPath.Form.Activities 2.0.x -> 2.0.7
  • UiPath.IntelligentOCR.Activities -> 6.9.1
  • UiPath.MobileAutomation.Activities -> 23.4.0
  • UiPath.Vision -> 3.10.1
  • UiPath.DocumentUnderstanding.Activities ->2.2.2
  • OCR related usage from UiPath.UIAutomation.Activities fixed in ->23.4.5
  • UiPath.OmniPage.Activities -> 1.15.0
  • UiPath.OCR.activities -> 3.15.1

Resolution B

Add an Invoke Code activity at the start of the affected workflow with the following statement: “System.Environment.SetEnvironmentVariable("DOTNET_ROOT", System.AppContext.BaseDirectory)”.

Resolution C

Install .NET Windows runtime or missing frameworks for .NET on the machine.
  • Observed Behavior
  • Resolution A
  • Resolution B
  • Resolution C

Was this page helpful?

Get The Help You Need
Learning RPA - Automation Courses
UiPath Community Forum
Uipath Logo White
Trust and Security
© 2005-2024 UiPath. All rights reserved.